# Uses of Class
org.apache.solr.common.util.JavaBinCodec

Packages that use JavaBinCodec
Package
Description
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of JavaBinCodec in org.apache.solr.client.solrj.response

Methods in org.apache.solr.client.solrj.response that return JavaBinCodec
Modifier and Type
Method
Description
`protected JavaBinCodec`
JavaBinResponseParser.`createCodec()`

## Uses of JavaBinCodec in org.apache.solr.common.util

Methods in org.apache.solr.common.util that return JavaBinCodec
Modifier and Type
Method
Description
`JavaBinCodec`
JavaBinCodec.`setReadStringAsCharSeq(boolean flag)`
`JavaBinCodec`
JavaBinCodec.`setWritableDocFields(JavaBinCodec.WritableDocFields writableDocFields)`
Methods in org.apache.solr.common.util with parameters of type JavaBinCodec
Modifier and Type
Method
Description
`Object`
JavaBinCodec.ObjectResolver.`resolve(Object o, JavaBinCodec codec)`
Examine and attempt to serialize the given object, using a `JavaBinCodec` to write it to a stream.